<template>
  <section class="hero is-primary">
    <div class="hero-body">
      <div class="container">
        <div class="media">
          <figure
            v-if="$slots.leftMedia"
            class="media-left"
          >
            <slot name="leftMedia" />
          </figure>
          <div class="media-content">
            <h1 class="title">
              {{ title }}
            </h1>
            <div
              v-if="subtitle"
              class="subtitle"
            >
              <slot name="subtitle">
                {{ subtitle }}
              </slot>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script setup lang="ts">
interface Props {
  title: string
  subtitle?: string
}

defineProps<Props>()
</script>
